Subject: Re: bug#78298: [PATCH] Scroll with mouse wheel in calendar

From: Juri Linkov <[email-masked]>
Date: Wed, 14 May 2025 19:25:42 +0300

>> With placing the cursor on the first day of the month
>> the behavior makes sense.  But only for months, not years.
>>
>> When scrolling years the need is to put the cursor
>> exactly on the same day/month in another year.
>
> Yes that also makes sense.  Any other opinion on this matter?  To
> summarize the choices are:
>
>           1) More code (new commands) but make year scrolling consistent
>              with other scrolling (i.e. place the cursor on the first
>              day of the month when the date is not visible anymore
>              (note: this is always the case for year scroll))
>
>           2) Less code (reuse calendar-[for|back]ward-year) but year
>              scrolling is not consistent with other scrolling

Hopefully it would be ok for Michael as well to use less code
by reusing calendar-[for|back]ward-year that makes mouse wheel
year scrolling consistent with 'C-x [' and 'C-x ]'.